﻿using System;
using System.Collections.Generic;

namespace TourAgent.Models
{
    public partial class Otel
    {
        public Otel()
        {
            HotelComments = new HashSet<OtelComment>();
            HotelImages = new HashSet<OtelImage>();
            HotelOfTours = new HashSet<OtelOfTour>();
        }

        public int Id { get; set; }
        public string Name { get; set; } = null!;
        public int CountOfStars { get; set; }
        public string CountryCode { get; set; } = null!;
        public string? Description { get; set; }

        public virtual Country CountryCodeNavigation { get; set; } = null!;
        public virtual ICollection<OtelComment> HotelComments { get; set; }
        public virtual ICollection<OtelImage> HotelImages { get; set; }
        public virtual ICollection<OtelOfTour> HotelOfTours { get; set; }
    }
}
