﻿using System;
using System.Collections.Generic;
using System.Collections;
using Avalonia;

namespace TourAgent.Models
{
    public partial class Tourss
    {
        public Tourss()
        {
            HotelOfTours = new HashSet<OtelOfTour>();
            TypeOfTours = new HashSet<TypeOfTour>();
        }

        public int Id { get; set; }
        public int TicketCount { get; set; }
        public string Name { get; set; } = null!;
        public string? Desription { get; set; }
        public byte[]? ImagePreview { get; set; }
        public decimal Price { get; set; }
        public BitArray IsActual { get; set; } = null!;
        public string DescriptionWithoutNull => (Desription == null) ? string.Empty : Desription;

        public virtual ICollection<OtelOfTour> HotelOfTours { get; set; }
        public virtual ICollection<TypeOfTour> TypeOfTours { get; set; }
    }
}
